Subject: Re: bug#25101: [PATCH 1/2] gnu: Add hpaio-enabled sane-backends variant.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 12 Dec 2016 23:41:07 +0100

Andy Patterson <[email-masked]> skribis:

> Hi, and sorry for the late reply.
>
> On Tue, 06 Dec 2016 10:10:57 +0100
> [email-masked] (Ludovic Courtès) wrote:
>
>> Andy Patterson <[email-masked]> skribis:
>> 
>> > On Mon, 05 Dec 2016 21:48:36 +0100
>> > [email-masked] (Ludovic Courtès) wrote:
>> >  
>> >> > +(define-public sane-backends+hpaio    
>> >> 
>> >> Could you add a comment and a synopsis explaining what’s this is?
>> >>   
>> >
>> > Sure, is the following patch ok?  
>> 
>> Yup!
>> 
>> >> > +  (package
>> >> > +    (inherit sane-backends)
>> >> > +    (name "sane-backends+hpaio")
>> >> > +    (inputs
>> >> > +     `(("hplip" ,(@ (gnu packages cups) hplip))
>> >> > +       ,@(package-inputs sane-backends)))    
>> >> 
>> >> The closure size of this is 290 MiB whereas it’s 87 MiB for
>> >> ‘sane-backends’.  I suppose that’s the reason to keep’em separated?
>> >>  
>> >
>> > Yeah, and there's also the fact that hplip depends on sane-backends.
>> > But this is the reason I didn't change sane-backends into a private
>> > variable, and then make this the new sane-backends.  
>> 
>> Oh right.
>> 
>> One last thing: should we renaming “sane-backends” to
>> “sane-backends-minimal”, and “sane-backends+hpaio” to “sane-backends”?
>
> The current "sane-backends" isn't really minimal, as it includes most
> backends. I'm not sure how it's applied elsewhere in Guix though, so
> I'll leave it up to you.

Right.  Well maybe while you’re at it you could make the new
‘sane-backend-minimal’ more minimal, it would make sense to me.

>> That way all scanners would work out of the box, at the expense of
>> extra disk usage, but that is roughly what patch 2/2 does anyway.
>
> One more patch is required in either case, as hplip would need to use
> sane-backends-minimal. Let me know if you'd like me to make this change.

Yes please!

Thank you!

Ludo’.